package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type HonoteResultQueryRequest struct {
	// <ext>core:true</ext> 【批次号】批次号 【作用】 用于查询批量上传的文件中，是否包含隐形水印
	BatchId string `json:"batchId,omitempty"`
}

func (obj HonoteResultQueryRequest) GetUrl() string {
	return "/honote/result/query"
}

func (obj HonoteResultQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
